<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Views/Tree/Tree.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Views.Tree.Tree</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../HTML.html" >HTML</a>.<a href="../../Views.html" >Views</a>.<a href="../Tree.html" >Tree</a>
</div><div class="class-name">class Tree

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/HTML/Views/Tree.py.html" target="detail">../Synopsis/Formatters/HTML/Views/Tree.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Tree.Tree" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Tree.py.html#line15" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Tree-inheritance" src="Tree-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Tree-inheritance_map" />
<map name="Tree-inheritance_map"></map>
 <div class="doc">View that makes Javascript trees. The trees have expanding and
    collapsing nodes. call js_init&#40;&#41; with the button images and default
    open/close policy during process</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register">register</a>(<span class="variable">self</span>, <span class="variable">frame</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Tree.Tree.register" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Tree.py.html#line20" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="get_id">get_id</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Tree.Tree.get_id" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Tree.py.html#line39" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="start_file">start_file</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Tree.Tree.start_file" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Tree.py.html#line44" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Tree.html#write_leaf" >write_leaf</a></span>(<span class="variable">self</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Tree.Tree.write_leaf" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Tree.py.html#line49" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Write a leaf node to the output at the current tree level.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Tree.html#write_node_start" >write_node_start</a></span>(<span class="variable">self</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Tree.Tree.write_node_start" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Tree.py.html#line54" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Write a non-leaf node to the output at the current tree level&#44; and
        start a new level.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Tree.html#write_node_end" >write_node_end</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Tree.Tree.write_node_end" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Tree.py.html#line68" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Finish a non-leaf node&#44; and close the current tree level.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Tree.html#end_tree" >end_tree</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Tree.Tree.end_tree" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Tree.py.html#line73" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Writes the end of the tree.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_leaf">write_leaf</a>(<span class="variable">self</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Tree.Tree.write_leaf" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Tree.py.html#line49" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Write a leaf node to the output at the current tree level.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_node_start">write_node_start</a>(<span class="variable">self</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Tree.Tree.write_node_start" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Tree.py.html#line54" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Write a non-leaf node to the output at the current tree level&#44; and
        start a new level.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_node_end">write_node_end</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Tree.Tree.write_node_end" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Tree.py.html#line68" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Finish a non-leaf node&#44; and close the current tree level.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="end_tree">end_tree</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Tree.Tree.end_tree" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Tree.py.html#line73" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Writes the end of the tree.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:11 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
